use super::bitmap::AtomicBitmap;

#[inline]
pub fn bitmaps_meshable(left: &AtomicBitmap, right: &AtomicBitmap) -> bool {
    let left_words = left.snapshot();
    let right_words = right.snapshot();

    for (lhs, rhs) in left_words.words().iter().zip(right_words.words().iter()) {
        if lhs & rhs != 0 {
            return false;
        }
    }

    true
}
